
#include <stdio.h>
#include <stdlib.h>

extern double	Ramachandran(int j),DPC_R(int j),
		Shepp(int j),DPC_S(int j),
		Chesler(int j),DPC_C(int j);

#define EPS	1e-9

static void	Print(double g,double h)
{
	(void)printf("\t%lf ",h);

	if (g>=(-EPS) && g<=EPS)
	    (void)putchar('+');
	else
	    (void)printf("%lg",-h/g);
}

int	main(int argc,char **argv)
{
	int	j=0,i=1,n=16;

	if (argc==4) {
	    j=atoi(argv[1]); i=atoi(argv[2]); n=atoi(argv[3]);
	}
	for (; --n>=0 && j>=0; j+=i) {
	    (void)printf("%d",j);
	    Print(Ramachandran(j),DPC_R(j));
	    Print(Shepp(j)       ,DPC_S(j));
	    Print(Chesler(j)     ,DPC_C(j));
	    (void)putchar('\n');
	}
	return 0;
}
